- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# init.c File Reference

`#include <ubixos/types.h>`
`#include <ubixos/sched.h>`
`#include <ubixos/endtask.h>`
`#include <net/sys.h>`
`#include <net/mem.h>`
`#include <net/memp.h>`
`#include <net/tcpip.h>`
`#include <netif/loopif.h>`
`#include <netif/tcpdump.h>`
`#include <netif/ethernetif.h>`
`#include <ubixos/exec.h>`
`#include <lib/kmalloc.h>`
`#include <lib/kprintf.h>`

Go to the source code of this file.

## Functions
int | net_init ()
void | netMainThread ()
static void | tcpip_init_done (void *arg)

## Function Documentation

int net_init | ( |  | ) |

Definition at line 50 of file init.c.

References mem_init(), memp_init(), netMainThread(), pbuf_init(), sys_init(), and sys_thread_new().

void netMainThread | ( |  | ) |

Definition at line 66 of file init.c.

References _current, endTask(), ethernetif_init(), taskStruct::id, IP4_ADDR, kprintf(), loopif_init(), netif_add(), netif_init(), netif_set_default(), shell_init(), sys_sem_free(), sys_sem_new(), sys_sem_wait(), tcpip_init(), tcpip_init_done, and tcpip_input().

Referenced by net_init().

static void tcpip_init_done | ( | void * | arg | ) | `[static]`

Definition at line 95 of file init.c.

References sys_sem_signal().